package com.muyu.system.domain.resp;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.system.domain.resp
 * @Project：cloud-server
 * @name：NoticeAndCountResp
 * @Date：2024/7/21 12:21
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
public class NoticeAndCountResp extends BaseEntity {

    /**
     * 公告ID
     */
    private Long noticeId;

    /**
     * 公告标题
     */
    private String noticeTitle;

    /**
     * 公告类型（1通知 2公告）
     */
    private String noticeType;

    /**
     * 公告内容
     */
    private String noticeContent;

    /**
     * 公告状态（0正常 1关闭）
     */
    private String status;

    /**
     * 总计数数量
     */

    private Long totalCount;
    /**
     * 未读数量
     */
    private Long  unreadCount;
    /**
     * 已读数量
     */
    private Long readCount;



}
